slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSPEPGetCoefficients

Returns the polynomial basis coefficients for a DSPEP.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSPEPGetCoefficients(DS ds,PetscReal **pbc)

Not Collective

### Input Parameter

| ds | - the direct solver context

### Output Parameters

| pbc | - the polynomial basis coefficients

### Note

The returned array has length 3*(d+1) and should be freed by the user.

### Fortran Notes

The calling sequence from Fortran is

       DSPEPGetCoefficients(eps,pbc,ierr)
       double precision pbc(d+1) output

### See Also

DSPEPSetCoefficients()

### Level

advanced

### Location

src/sys/classes/ds/impls/pep/dspep.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages